Usuario: Contraseña:
Este sitio utiliza cookies propias y de terceros. Si continúa navegando consideramos que acepta el uso de cookies. OK Más Información.

Autor Tema: William.sh script para la extracción de handshake  (Leído 2023 veces)

0 Usuarios y 1 Visitante están viendo este tema.

Desconectado maripuri

  • WWAuditor-PRO developer
  • Moderador Global
  • Trade Count: (0)
  • *****
  • Mensajes: 4814
  • Colaboraciones +235/-4
  • Sexo: Femenino
  • Scripting Girl
    • WirelessWindows
William.sh script para la extracción de handshake
« en: 29 de Septiembre de 2013, 07:42:50 pm »


William es un script en bash pensado como una extensión de la herramienta wpaclean y creado por Jerome Smith (exploresecurity). 

Cuando aircrack-ngk analiza un archivo de captura, primero busca el SSID de la red (s) cuyo tráfico se ha capturado y si no encuentra ninguno se da por vencido. ¿Por qué? Debido a que el SSID se utiliza con la frase de contraseña para generar la clave maestra Pairwaise. Así que incluso si usted tiene los paquetes primero y segundo correctos del apretón de manos sin el SSID correcto aircrack-ng fallará. William se ve para los paquetes que revelan el SSID basado en el BSSID del segundo mensaje EAPOL elegido. Si por alguna razón usted tiene la mala suerte de perder este, el script le preguntará por un SSID y crear un paquete de respuesta falso para satisfacer a aircrack-ng



WPA/WPA2 Handshake Analysis Fails

Capturing WPA/WPA2 handshakes can be very tricky. A capture file may end up containing a subset of packets from various handshake attempts and/or handshakes from more then one client. Currently aircrack-ng can sometimes fail to parse out the handshake properly. What this means is that aircrack-ng will fail to find a handshake in the capture file even though one exists.

If you are sure your capture file contains a valid handshake then use Wireshark or an equivalent piece of software and manually pull out the beacon packet plus a set of handshake packets.

There is an open trac ticket to correct this incorrect behavior./size]

Aircrack-ng (doku)

ticket/651


Uso:

Citar
william.sh <output_file> <input_file> [<input_file_2>...] [<mth_packet_2> [<nth_packet_1>]] [-f | -a] [-A <dict_file>] [-d]

m mth second packet of 4-way handshake (default 1)
n nth first packet of 4-way handshake that precedes the chosen second packet (default 1)
-f seek first message from start of capture working forwards
-a pair up ALL message 1s that precede the chosen message 2 (multiple output files)
-A run aircrack-ng against output files using the supplied dictionary file
-d don't skip duplicate packets
--help extra help




El script  (guardar como William.sh)

Código: [Seleccionar]
#!/bin/bash

# Script to pull out corresponding first and second packets of a 4-way handshake from a noisy capture
# Output file(s) can then be run through aircrack-ng, manually or automatically
# If I'd known how this would turn out, this wouldn't be a bash script!
#
# Author: Jerome Smith @exploresecurity
# Version: 0.1
# http://www.exploresecurity.com
# http://www.7safe.com
# Licence: free to modify and distribute if you retain original credits, otherwise grateful if you refer to original download link, thank you

if [ $# -lt 2 ] || [ "$1" == "-h" ] || [ "$1" == "--help" ]; then
echo "WPA handshake extraction script"
echo "USAGE"
echo "`basename $0` <output_file> <input_file> [<input_file_2>...] [<mth_packet_2> [<nth_packet_1>]] [-f | -a] [-A <dict_file>] [-d]"
echo "  m   mth second packet of 4-way handshake (default 1)"
echo "  n   nth first packet of 4-way handshake that precedes the chosen second packet (default 1)"
echo "  -f  seek first message from start of capture working forwards"
echo "  -a  pair up ALL message 1s that precede the chosen message 2 (multiple output files)"
echo "  -A  run aircrack-ng against output files using the supplied dictionary file"
echo "  -d  don't skip duplicate packets"
if [ "$1" == "--help" ]; then
echo -e "\nEXAMPLES\nSee also [url=http://www.exploresecurity.com\]www.exploresecurity.com\[/url]n"
echo "`basename $0` input.cap output.cap"
echo -e "    Pair the 1st message 2 with the 1st message 1 that precedes it\n"
echo "`basename $0` input.cap output.cap -a A pass.lst"
echo -e "    Pair the 1st message 2 with all the message 1s that precede it"
echo -e "    and run aircrack against all pairs with dictionary pass.lst\n"
echo "`basename $0` input.cap output.cap 4"
echo -e "    Pair the 4th message 2 with the 1st message 1 that precedes it\n"
echo "`basename $0` input.cap output.cap -f 4"
echo -e "    Pair the 4th message 2 with the 1st message 1\n"
echo "`basename $0` input.cap output.cap -a 4"
echo -e "    Pair the 4th message 2 with all the message 1s that precede it\n"
echo "`basename $0` input.cap output.cap 4 3"
echo -e "    Pair the 4th message 2 with the 3rd message 1 that precedes it\n"
echo "`basename $0` input.cap output.cap -f 4 3"
echo "    Pair the 4th message 2 with the 3rd message 1"
else
echo "  --help  extra help"
  fi
exit 1
fi

if [ ! -e "$2" ]; then
echo "Input file $2 does not exist"
exit 1
fi
cp "$2" in.tmp.cap

hash tshark 2>/dev/null || { echo "This script requires tshark"; exit 1; }
hash mergecap 2>/dev/null || { echo "This script requires mergecap"; exit 1; }

# Parse parameters
UNIQUE=true
MODE=REVERSE # seek first message working backwards from the chosen message 2
AIRCRACK=false # set when -A just seen, used to distinguish dictionary file from input files
for i in "${@:3}" # all parameters starting from the 3rd
do
if [ "$i" == "-a" ]; then
MODE=ALL
elif [ "$i" == "-A" ]; then
AIRCRACK=true
elif [ "$i" == "-f" ]; then
MODE=FORWARD
elif [ "$i" == "-d" ]; then
UNIQUE=false
elif [[ "$i" =~ ^[0-9]+$ ]] ; then # it's an integer
if [[ -z $m ]]; then
m=$i
else
n=$i
fi
elif [[ -e $i ]]; then
if $AIRCRACK; then # it's an aircrack dictionary file
DICT_FILE="$i"
else # assume it's another input file and merge them all togther - hack!
cp in.tmp.cap in.tmp.tmp.cap # mergecap can't do input_file+=$i
mergecap -F libpcap -w in.tmp.cap -a in.tmp.tmp.cap "$i"
if [ $? -gt 0 ]; then
exit 1
fi
fi
else
echo "Unknown argument $i, exiting"
exit 1
fi
if $AIRCRACK && ([ "$i" != "-A" ] || [ "$i" == "${@: -1}" ]); then
if [[ -z "$DICT_FILE" ]]; then
echo "Running Aircrack requires you to set a dictionary file after -A"
exit 1
else
AIRCRACK=false
fi
fi
done
# set m and n if not specified (mth second packet, nth first packet)
if [[ -z $m ]]; then
m=1
fi
if [ $MODE == "ALL" ] && [[ ! -z $n ]]; then
echo "Ignoring value for n, it must be 1 with -a"
n=1
fi
if [[ -z $n ]]; then
n=1
fi
echo -n "Mode=$MODE m=$m (second message) n=$n (first message) "
if $UNIQUE; then
echo "ignoring duplicates"
else
echo "including duplicates"
fi

# Get mth packet 2 of 4-way handshake
if $UNIQUE; then
# consider packets with same eapol.keydes.mic to be duplicates
# can't pull out frame number as otherwise all lines would be unique
DATA=(`tshark -r in.tmp.cap -R "eapol.keydes.key_info == 0x010a || eapol.keydes.key_info == 0x0109" -T fields -e eapol.keydes.mic -e wlan.bssid -e eapol.keydes.key_info -e wlan.sa 2>/dev/null | uniq | sed -n -e "$m {p;q}"`)
else
DATA=(`tshark -r in.tmp.cap -R "(eapol.keydes.key_info == 0x010a || eapol.keydes.key_info == 0x0109)" -T fields -e frame.number -e wlan.bssid -e eapol.keydes.key_info -e wlan.sa 2>/dev/null | sed -n -e "$m {p;q}"`)
fi
# DATA array of 4 elements: packet identification, BSSID, TKIP|CCMP, client MAC
if [[ -z $DATA ]]; then
echo "Error"
echo "- check the input file is a valid packet capture"
echo "- check the input file contains EAPOL packets"
if [ $m -gt 1 ]; then
echo "- check your value of m is not too big"
fi
exit 1
fi
if $UNIQUE; then
P2=`tshark -r in.tmp.cap -R "eapol.keydes.mic == ${DATA[0]}" -T fields -e frame.number 2>/dev/null | tail -n 1` # best to use tail to pick up signs of possible miscounting
else
P2=${DATA[0]}
fi
echo "Using packet $P2 as second EAPOL packet"
tshark -r in.tmp.cap -R "frame.number == $P2" -F libpcap -w eapol.2.tmp.cap 2>/dev/null
echo "BSSID is ${DATA[1]}"

# Determine whether TKIP or CCMP for better efficiency later
TKIP=true
if [ ${DATA[2]} == "0x010a" ]; then
TKIP=false
echo -n "CCMP"
MSG1_FILTER="eapol.keydes.key_info == 0x008a" # CCMP packet 1
MSG2_FILTER="eapol.keydes.key_info == 0x010a" # CCMP packet 2
elif [ ${DATA[2]} == "0x0109" ]; then
echo -n "TKIP"
MSG1_FILTER="eapol.keydes.key_info == 0x0089" # TKIP packet 1
MSG2_FILTER="eapol.keydes.key_info == 0x0109" # TKIP packet 2
else
echo "Couldn't determine whether network is TKIP or CCMP"
exit 1
fi
echo " network identified"
echo "Client station is ${DATA[3]}"
MSG1_FILTER="$MSG1_FILTER && wlan.sa == ${DATA[1]} && wlan.da == ${DATA[3]}"

if $UNIQUE; then
# can't sort before uniq as order of packets would be lost but duplicates should be adjacent anyway
# nonetheless look for sign of trouble if sort changes number of unique packets
if [ `tshark -r in.tmp.cap -R "$MSG2_FILTER && frame.number <= $P2" -T fields -e eapol.keydes.mic 2>/dev/null | uniq | wc -l` -ne `tshark -r in.tmp.cap -R "$MSG2_FILTER && frame.number <= $P2" -T fields -e eapol.keydes.mic 2>/dev/null | sort | uniq | wc -l` ]; then
echo "WARNING - non-adjacent duplicates detected so unique packets miscounted"
fi
fi

# Pseudo-two-dimensional array of packets with a SSID to look for and their descriptions
def[0]="beacon frame"
filter[0]="(wlan.fc.type_subtype == 8) && wlan.bssid == ${DATA[1]} && !(wlan_mgt.tag.length == 0)"
def[1]="probe response"
filter[1]="wlan.fc.type_subtype == 5 && wlan.bssid == ${DATA[1]}"
def[2]="association request"
filter[2]="wlan.fc.type_subtype == 0 && wlan.bssid == ${DATA[1]}"
# Step through array
for i in $(seq 0 $((${#def[*]} - 1)))
do
SSID=(`tshark -r in.tmp.cap -R "${filter[$i]}" -T fields -e frame.number -e wlan_mgt.ssid 2>/dev/null | head -n 1`) # array of 2 elements
if [[ -z $SSID ]]; then
echo "Cannot determine SSID from ${def[$i]}s"
else
echo "Determined SSID from ${def[$i]} (packet number ${SSID[0]})"
echo "The SSID is ${SSID[@]:1}" # all array elements from the 2nd as SSID could include a space
tshark -r in.tmp.cap -R "frame.number == ${SSID[0]}" -F libpcap -w SSID.tmp.cap 2>/dev/null
break
fi
done
if [[ -z $SSID ]] ; then
echo "Cannot find SSID correponding to ${DATA[1]}"
read -p "Enter the SSID if you know it: " SSID
if [[ -z $SSID ]]; then
echo "Aircrack-ng needs the SSID, cannot continue, sorry"
exit 1
fi
hash text2pcap 2>/dev/null || { echo "This script requires text2pcap"; exit 1; }
echo "Creating fake probe response to satisfy aircrack-ng"
# Probe response structure:
# 500000000123456789ab
# BSSID BSSID
# 609b39c48f069cd904006400110400
# SSID length # in hex, with leading 0 if < 0x10
# SSID # in hex
# 0000010802040b160c12182432043048606c2d1a300917ffff000000000000000000000000000000000000000000
# 03010330140100000fac040100000fac040100000fac020100
echo -n "500000000123456789ab"`echo -n ${DATA[1]}|sed -e 's/://g'``echo -n ${DATA[1]}|sed -e 's/://g'`"609b39c48f069cd904006400110400"`printf '%02x' ${#SSID}``echo -n $SSID|xxd -p`"0000010802040b160c12182432043048606c2d1a300917ffff00000000000000000000000000000000000000000003010330140100000fac040100000fac040100000fac020100"|xxd -r -p|hd|text2pcap -q -l 105 - SSID.tmp.cap
if [ $? -gt 0 ]; then
echo "Error creating packet but let's see what happens"
fi
fi

# Get nth packet 1 of 4-way handshake
if $UNIQUE; then
# consider packets with same eapol.keydes.nonce to be duplicates
NUM_FIRST=`tshark -r in.tmp.cap -R "$MSG1_FILTER && frame.number < $P2" -T fields -e eapol.keydes.nonce 2>/dev/null | uniq | wc -l`
else
NUM_FIRST=`tshark -r in.tmp.cap -R "$MSG1_FILTER && frame.number < $P2" -T fields -e eapol.keydes.nonce 2>/dev/null | wc -l`
fi
echo "There are $NUM_FIRST first messages before the chosen second message"
if [ $MODE == "REVERSE" ]; then
n=`expr $NUM_FIRST - $n + 1`
if [ $n -lt 1 ]; then
echo "- but you've asked to go back by `expr $NUM_FIRST - $n + 1`! Reduce the value of n"
exit 1
fi
fi
if $UNIQUE; then
# can't pull out frame.number here as otherwise everything would be unique
NONCE=`tshark -r in.tmp.cap -R "$MSG1_FILTER" -T fields -e eapol.keydes.nonce 2>/dev/null | uniq | sed -n -e "$n {p;q}"`
P1=`tshark -r in.tmp.cap -R "$MSG1_FILTER && eapol.keydes.nonce == $NONCE" -T fields -e frame.number 2>/dev/null | tail -n 1` # need $MSG1_FILTER here as otherwise message 3 could be selected
else
P1=`tshark -r in.tmp.cap -R "$MSG1_FILTER" -T fields -e frame.number 2>/dev/null | sed -n -e "$n {p;q}"`
fi
if [[ -z $P1 ]]; then
echo "Error"
echo "- could not find 1st packet of 4-way handshake"
if [ $m -gt 1 ] || [ $n -gt 1 ]; then
echo "- check your value of m or n is not too big"
fi
exit 1
fi
if [ $MODE != "ALL" ]; then
echo Using packet $P1 as first EAPOL packet
fi

if $UNIQUE; then
# can't sort before uniq as order of packets would be lost but duplicates should be adjacent anyway
# nonetheless look for sign of trouble if sort changes number of unique packets
if [ `tshark -r in.tmp.cap -R "$MSG1_FILTER && frame.number <= $P1" -T fields -e eapol.keydes.nonce 2>/dev/null | uniq | wc -l` -ne `tshark -r in.tmp.cap -R "$MSG1_FILTER && frame.number <= $P1" -T fields -e eapol.keydes.nonce 2>/dev/null | sort | uniq | wc -l` ]; then
echo "WARNING - non-adjacent duplicates detected so unique packets miscounted"
fi
fi

# Sanity check
if [ $P2 -lt $P1 ]; then
echo "Doesn't make sense to pair a second packet with a first packet that was seen later"
exit 1
fi
tshark -r in.tmp.cap -R "frame.number == $P1" -F libpcap -w eapol.1.tmp.cap 2>/dev/null

# Write packets out to file(s)
if [ $MODE != "ALL" ]; then
NUM_FIRST=1 # quick hack so same ouput routine used for all modes
else
# pull out EAPOL message 1 frames into temp file so we don't read input file in full quite as much
tshark -r in.tmp.cap -R "$MSG1_FILTER && frame.number < $P2" -F libpcap -w eapol.tmp.cap 2>/dev/null
fi
for (( i=$NUM_FIRST; i>0; i-- ))
do
if [ $NUM_FIRST -gt 1 ]; then
OUT_FILE=`echo "$1" | cut -f1 -d'.'`.$i.`echo "$1" | cut -f2 -d'.'` # insert counter into output files
else
OUT_FILE="$1"
fi
echo -n "Writing packets to $OUT_FILE"
mergecap -F libpcap -w "$OUT_FILE" -a SSID.tmp.cap eapol.1.tmp.cap eapol.2.tmp.cap # -a concatenate
if [[ ! -z "$DICT_FILE" ]]; then
echo " - and running through Aircrack"
KEY=`aircrack-ng "$OUT_FILE" -w "$DICT_FILE" | awk '/FOUND/{print $4}' | head -n 1`
if [[ ! -z $KEY ]]; then
break
else
echo -n -e "\r"
fi
else
echo
fi
if [ $MODE == "ALL" ]; then
n=`expr $i - 1`
if $UNIQUE; then
NONCE=`tshark -r eapol.tmp.cap -T fields -e eapol.keydes.nonce 2>/dev/null | uniq | sed -n -e "$n {p;q}"`
# P1 now relates to eapol.tmp.cap not input file
P1=`tshark -r eapol.tmp.cap -R "eapol.keydes.nonce == $NONCE" -T fields -e frame.number 2>/dev/null | tail -n 1`
else
P1=`tshark -r eapol.tmp.cap -T fields -e frame.number 2>/dev/null | sed -n -e "$n {p;q}"`
fi
tshark -r eapol.tmp.cap -R "frame.number == $P1" -F libpcap -w eapol.1.tmp.cap 2>/dev/null
fi
done

echo "Deleting temp files"
if [ -e in.tmp.tmp.cap ]; then
mv in.tmp.cap merged.cap
echo "- but leaving merged file \"merged.cap\" for reference"
else
rm in.tmp.cap
fi
rm eapol.1.tmp.cap
rm eapol.2.tmp.cap
rm SSID.tmp.cap
if [ -e in.tmp.tmp.cap ]; then
rm in.tmp.tmp.cap
fi
if [ -e eapol.tmp.cap ]; then
rm eapol.tmp.cap
fi

if [[ -z "$DICT_FILE" ]]; then
echo -n "Now run \"aircrack-ng "
if [[ $NUM_FIRST -gt 1 ]]; then
echo -n "on each $1 with "
else
echo -n "$1 "
fi
echo "-w <dictionary_file>\""
else
if [[ -z $KEY ]]; then
echo Passphrase not found
else
echo Passphrase is $KEY
fi
fi




William – WPA/WPA2 4-way handshake extraction script   (web del autor + artículo + descarga)

WWAuditor-PRO developer
No preguntes sobre temas del foro por privado, participa en el

Desconectado HISPALIS

  • Cantaor
  • Trade Count: (0)
  • Usuario H
  • *****
  • Mensajes: 831
  • Colaboraciones +22/-80
  • Sexo: Masculino
  • La duda es el principio de la sabiduría
Re: William.sh script para la extracción de handshake
« Respuesta #1 en: 30 de Septiembre de 2013, 01:04:01 am »
Se puede ejecutar este script en wifislax 4.6 desde la consola o es imposible ? Donde se descarga aquí donde pone Descargar v.0.1 lo pregunto por  que viene todo en ingles  :-\ de toda maneras gracias por el aporte no me queda claro una cosa que hace conseguir el hanske o limpiarlo ? 

Desconectado kcdtv

  • Elite Friends
  • Trade Count: (0)
  • *****
  • Mensajes: 1226
  • Colaboraciones +20/-1
  • visita www.wifi-libre.com
    • www.wifi-libre.com
Re: William.sh script para la extracción de handshake
« Respuesta #2 en: 30 de Septiembre de 2013, 02:21:44 am »
Citar
Se puede ejecutar este script en wifislax 4.6 desde la consola o es imposible ?

Se puede, es un script en  bash, puede funcionar en todos los linux, incluso podria funcionar en mac ( retocando un poco ) ...  Es lo que tiene bash  :-*
 Prueba......
 ........Si tienes un fallo y quieres asesoramiento ya sabes que lo que hace falta son copiados pegados de lo que pasa en consola y describir los pasos echos.

Citar
Donde se descarga aquí donde pone Descargar v.0.1 lo

debajo de tus ojos, con un mega sevidor que se llama " copiar el código y guardar lo como shakspeare.sh o Hispalisinthemoon.sh"

Citar
El script  (guardar como William.sh)

esta escrito en caracteres grasos justo antes del código....  :P  ;D

copias y pegas


Citar
que hace conseguir el hanske o limpiarlo?

Citar
William es un script en bash pensado como una extensión de la herramienta wpaclean y creado por Jerome Smith (exploresecurity).

Cuando aircrack-ngk analiza un archivo de captura, primero busca el SSID de la red (s) cuyo tráfico se ha capturado y si no encuentra ninguno se da por vencido. ¿Por qué? Debido a que el SSID se utiliza con la frase de contraseña para generar la clave maestra Pairwaise. Así que incluso si usted tiene los paquetes primero y segundo correctos del apretón de manos sin el SSID correcto aircrack-ng fallará. William se ve para los paquetes que revelan el SSID basado en el BSSID del segundo mensaje EAPOL elegido. Si por alguna razón usted tiene la mala suerte de perder este, el script le preguntará por un SSID y crear un paquete de respuesta falso para satisfacer a aircrack-ng


Si no entiendes todo, fijate en  "extensión de wpaclean" y "analiza un archivo .cap" que son los primeros elementos que se te dan, generalmente se suele describir "la función" del programa, su porposito...
 fíjate sobre la ausencia de referencia a aireplay-ng, mdk3, airebase.... todo lo que necesitas para un handshake
Deberías echarle un ojo a la wiki de aircrack-ng    ;)

Desconectado minisergio

  • Trade Count: (0)
  • Usuario Jr
  • **
  • Mensajes: 54
  • Colaboraciones +0/-0
  • Sexo: Masculino
  • Loco por el Wifi
Re: William.sh script para la extracción de handshake
« Respuesta #3 en: 30 de Septiembre de 2013, 08:17:33 pm »
sa qua la clave sin diccionario
sergio

Desconectado maripuri

  • WWAuditor-PRO developer
  • Moderador Global
  • Trade Count: (0)
  • *****
  • Mensajes: 4814
  • Colaboraciones +235/-4
  • Sexo: Femenino
  • Scripting Girl
    • WirelessWindows
Re: William.sh script para la extracción de handshake
« Respuesta #4 en: 30 de Septiembre de 2013, 08:32:04 pm »
Cita de: minisergio
sa qua la clave sin diccionario
¿De donde sacas eso minisergio..?     Â¿Realmente has leído la descripción de lo que hace el script que inlcuso kcdtv vuelve a comentar a HISPALIS?

WWAuditor-PRO developer
No preguntes sobre temas del foro por privado, participa en el

Desconectado minisergio

  • Trade Count: (0)
  • Usuario Jr
  • **
  • Mensajes: 54
  • Colaboraciones +0/-0
  • Sexo: Masculino
  • Loco por el Wifi
Re: William.sh script para la extracción de handshake
« Respuesta #5 en: 30 de Septiembre de 2013, 09:27:47 pm »
a vale gracias me creia que sacaba las claves sin diccinario
sergio

Desconectado HISPALIS

  • Cantaor
  • Trade Count: (0)
  • Usuario H
  • *****
  • Mensajes: 831
  • Colaboraciones +22/-80
  • Sexo: Masculino
  • La duda es el principio de la sabiduría
Re: William.sh script para la extracción de handshake
« Respuesta #6 en: 01 de Octubre de 2013, 12:31:59 am »
 kcdtv: Gracias por responderme voy a descargarme lo y voy a probar el script en el wifislax desde el terminal de la consola haber si no me da problema a ejecutarlo. ;)

Desconectado kcdtv

  • Elite Friends
  • Trade Count: (0)
  • *****
  • Mensajes: 1226
  • Colaboraciones +20/-1
  • visita www.wifi-libre.com
    • www.wifi-libre.com
Re: William.sh script para la extracción de handshake
« Respuesta #7 en: 01 de Octubre de 2013, 02:04:07 am »
Citar
a descargarme lo

- O te niegas por surrealismo militante a no emplear la palabra adecuada, admiro esta postura poética tuya sobre el mundo pero complica el dialogo;
- O no has entendido nada a lo que te he dicho, no hay que descargar nada.........   ;D

  1 - Tu Copiar código
  2 - Tu pegar código en hoja blanca Kedit
  3 - Tu guardar y dar nombre William.sh

Citar
desde el terminal de la consola

No hispalis,  no
"desde el terminal".
O  "desde la consola"

Pero no "desde la shell de la consola del terminal de la caja negra sin dibujos"

Citar
haber si no me da problema a ejecutarlo

A ver si un día de estos te instalas linux como un grande  de una -bip- vez y te pones un poco las pilas....  ;D

Desconectado HISPALIS

  • Cantaor
  • Trade Count: (0)
  • Usuario H
  • *****
  • Mensajes: 831
  • Colaboraciones +22/-80
  • Sexo: Masculino
  • La duda es el principio de la sabiduría
Re: William.sh script para la extracción de handshake
« Respuesta #8 en: 02 de Octubre de 2013, 01:23:06 am »
Es que para algunas cosas prefiero windows7  y me es mas fácil manejarlo mas que linux me es mas complicado algunas cosas me da un poco pereza pero bueno teniendo el wifislax lo hago desde hay y ya esta, es que me metí en unos de lo enlace y ponía lo que te dije arriba por eso me creía que había que descargar el script vale voy hacerlo como dices hay y los pasos que tu dices.Muchas gracias por responderme. :)


Share me

Digg  Facebook  SlashDot  Delicious  Technorati  Twitter  Google  Yahoo
Smf

 

Dumpper All V.x.x

DUMPPER WPS PENTESTING